PUT /v1/workflows/{id}/owner
Transfer workflow ownership to another organization member
PUT
/v1/workflows/{id}/owner
Transfer workflow ownership to another organization member
Path Parameters
id
string
required
path
Workflow ID
Request Body required
New workflow owner
application/jsonOne of:
Option 1
Option 2
ownerUserId
string
REQUIRED
Responses
200
OK
application/jsoncode
integer
data
object
id
string
ownerUserId
string
message
string
requestId
string
400
Bad Request
403
Forbidden
404
Not Found
curl -X PUT 'https://api.example.com/v1/workflows/string/owner' \ -H 'Authorization: Bearer YOUR_API_TOKEN' \ -H 'Content-Type: application/json' \ -d '{}'
const response = await fetch('https://api.example.com/v1/workflows/string/owner', { method: 'PUT', headers: { "Authorization": "Bearer YOUR_API_TOKEN", "Content-Type": "application/json" }, body: JSON.stringify({})});const data = await response.json();console.log(data);
import requestsheaders = { 'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.put('https://api.example.com/v1/workflows/string/owner', headers=headers, json={})print(response.json())
package mainimport ( "fmt" "io" "net/http" "strings")func main() { body := strings.NewReader(`{}`) req, _ := http.NewRequest("PUT", "https://api.example.com/v1/workflows/string/owner", body) req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN") req.Header.Set("Content-Type", "application/json") resp, _ := http.DefaultClient.Do(req) defer resp.Body.Close() result, _ := io.ReadAll(resp.Body) fmt.Println(string(result))}
200
Response
{ "code": 200, "data": { "id": "<string>", "ownerUserId": "<string>" }, "message": "success", "requestId": "abc-123"}
API Playground
Try this endpoint
PUT
/v1/workflows/{id}/owner
